/* source: https://www.joshwcomeau.com/css/custom-css-reset/ */
/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
    box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
    margin: 0;
}
/*
  3. Allow percentage-based heights in the application
*/
html, body {
    height: 100%;
}
/*
  Typographic tweaks!
  4. Add accessible line-height
  5. Improve text rendering
*/
body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
}
/*
  6. Improve media defaults
*/
img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}
/*
  7. Remove built-in form typography styles
*/
input, button, textarea, select {
    font: inherit;
}
/*
  8. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}
/*
  9. Create a root stacking context
*/
#root, #__next {
    isolation: isolate;
}

/*
    Coplogic Custom CSS
*/
#app {
    height: 100%;
}

.wrapper {
    align-items: stretch;
    display: flex;
    height: 100%;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


.sidebar {
    direction: ltr;
    max-width: 260px;
    min-width: 260px;
    z-index: 100;
}

.sidebar, .sidebar-content {
    background: #191E29;
    transition: margin-left .35s ease-in-out, left .35s ease-in-out, margin-right .35s ease-in-out, right .35s ease-in-out;
}

    .sidebar .sidebar-content {
        position: fixed;
        width: 260px;
        overflow-y: auto;
        top: 0;
        bottom: 0;
    }

.sidebar-content {
    display: flex;
    flex-direction: column;
}

.sidebar-nav {
    flex-grow: 1;
    list-style: none;
    margin-bottom: 60px;
    padding-left: 0
}

.sidebar-menu {
    flex-grow: 1;
    margin-bottom: 0;
    padding-left: 0
}

    .sidebar-menu .menu-body {
        list-style-type: none;
    }

.sidebar-link, a.sidebar-link {
    background: #191E29;
    border-left: 3px solid transparent;
    color: rgba(233,236,239,.5);
    cursor: pointer;
    display: block;
    font-weight: 400;
    padding: .5rem .5rem .5rem 1.5rem;
    position: relative;
    text-decoration: none;
    transition: background .1s ease-in-out
}

    .sidebar-link i, .sidebar-link svg, a.sidebar-link i, a.sidebar-link svg {
        color: rgba(233,236,239,.5);
        margin-right: .75rem
    }

    .sidebar-link:focus {
        outline: 0
    }

    .sidebar-link:hover {
        background: #222e3c;
        border-left-color: transparent
    }

        .sidebar-link:hover, .sidebar-link:hover i, .sidebar-link:hover svg {
            color: rgba(233,236,239,.75)
        }

.sidebar-item.active .sidebar-link:hover, .sidebar-item.active > .sidebar-link {
    background: #374d64;
    border-right-width: .5rem;
    border-right-style: solid;
    border-right-color: #E1E8F5;
    color: #e9ecef
}

    .sidebar-item.active .sidebar-link:hover i, .sidebar-item.active .sidebar-link:hover svg, .sidebar-item.active > .sidebar-link i, .sidebar-item.active > .sidebar-link svg {
        color: #e9ecef;
    }

.sidebar-brand {
    color: #f8f9fa;
    display: block;
    font-size: 1.15rem;
    font-weight: 600;
    padding: 1.15rem 1.5rem
}

    .sidebar-brand:hover {
        color: #f8f9fa;
        text-decoration: none
    }

    .sidebar-brand:focus {
        outline: 0
    }

.sidebar-toggle {
    cursor: pointer;
    background: #fff;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 2px 6px 0 rgba(0, 0, 0, 0.19);
    width: 37px;
    height: 37px;
    border-radius: 50%;
    text-align: center;
    vertical-align: middle;
    padding: 6px;
    margin-left: -15px;
    z-index: 9999;
}

    .sidebar-toggle i {
        padding-top: 7px !important;
    }

.sidebar.collapsed {
    margin-left: -260px
}

@media(min-width:1px)and (max-width:991.98px) {
    .sidebar {
        margin-left: -260px
    }

        .sidebar.collapsed {
            margin-left: 0
        }
}

.sidebar-toggle {
    margin-right: 1rem
}

.sidebar-header {
    background: transparent;
    padding: .5rem .5rem .5rem 1.5rem;
}

.sidebar-badge {
    position: absolute;
    right: 15px;
    top: 14px;
    z-index: 1
}

.sidebar-cta-content {
    background: #2b3947;
    border-radius: .3rem;
    margin: 1.75rem;
    padding: 1.5rem
}

.sidebar-footer {
    height: 40px;
    position: fixed;
    bottom: 0;
    padding: .5rem .5rem .5rem 1.5rem;
    color: rgba(233,236,239,.5);
    background: #191E29;
    max-width: 200px;
    min-width: 200px;
}

.main {
    width: 100vw;
}

    .main.dark {
        background-color: #0B0E14;
    }

@media(max-width:767.98px) {
    footer.footer {
        width: 100vw
    }
}

.hamburger, .hamburger:after, .hamburger:before {
    background: #495057;
    border-radius: 1px;
    content: "";
    cursor: pointer;
    display: block;
    height: 3px;
    transition: background .1s ease-in-out,color .1s ease-in-out;
    width: 24px
}

.hamburger {
    position: relative
}

    .hamburger:before {
        position: absolute;
        top: -7.5px;
        width: 24px
    }

    .hamburger:after {
        bottom: -7.5px;
        position: absolute;
        width: 16px
    }

.sidebar-toggle:hover .hamburger, .sidebar-toggle:hover .hamburger:after, .sidebar-toggle:hover .hamburger:before {
    background: #3b7ddd;
}

.hamburger-right, .hamburger-right:after, .hamburger-right:before {
    right: 0
}

a.list-group-item {
    text-decoration: none
}



.navbar {
    border-bottom: 0;
    box-shadow: 0 0 2rem 0 rgba(33,37,41,.1);
    background-color: #ffffff;
}

    .navbar.dark {
        background-color: #191E29;
    }

@media(max-width:767.98px) {
    .navbar {
        width: 100vw
    }
}

.navbar .avatar {
    margin-bottom: -15px;
    margin-top: -15px
}

.navbar-nav {
    direction: ltr
}

.navbar-align {
    margin-left: auto
}

.navbar {
    background-color:;
}

.navbar-brand {
    display: block;
    font-size: 1.15rem;
    font-weight: 400;
    padding: .875rem 0
}

    .navbar-brand .feather, .navbar-brand svg {
        height: 24px;
        margin-left: -.15rem;
        margin-right: .375rem;
        margin-top: -.375rem;
        width: 24px;
    }

.nav-flag, .nav-icon {
    display: block;
    font-size: 1.5rem;
    line-height: 1.4;
    padding: .1rem .8rem;
    transition: background .1s ease-in-out,color .1s ease-in-out;
}

    .nav-flag:after, .nav-icon:after {
        display: none !important;
    }

    .nav-flag .feather, .nav-flag svg, .nav-icon .feather, .nav-icon svg {
        height: 20px;
        width: 20px;
    }

.nav-item .indicator {
    background: #3b7ddd;
    border-radius: 50%;
    box-shadow: 0 .1rem .2rem rgba(0,0,0,.05);
    color: #fff;
    display: block;
    font-size: .675rem;
    height: 18px;
    padding: 1px;
    position: absolute;
    right: -8px;
    text-align: center;
    top: 0;
    transition: top .1s ease-out;
    width: 18px;
}

.nav-item:hover .indicator {
    top: -4px;
}

.nav-item a:focus {
    outline: 0;
}

.content {
    background-color: inherit;
    direction: ltr;
    flex: 1;
    width: auto;
    max-width: 100vw;
    /* have to account for the navbar space */
    max-height: calc(100% - 56px);
    height: calc(100% - 56px);
}

@media(min-width:768px) {
    .content {
        max-width: auto;
        width: auto;
    }
}

@media(min-width:992px) {
    .content {
        padding: 0.5rem 0.5rem 0.5rem;
    }
}

.navbar-nav .dropdown-menu {
    box-shadow: 0 .1rem .2rem rgba(0,0,0,.05)
}

.k-form-buttons.k-actions-start {
    display: flex;
    justify-content: flex-end;
    margin-right: 1rem;
}

/* dropdownlist stylings */
.k-popup.k-dropdownlist-popup, .k-dropdownlist.k-picker, .k-animation-container .k-list .k-list-item {
    font-size: 12px;
}

/* https://docs.telerik.com/blazor-ui/knowledge-base/grid-hide-vertical-scrollbar */
.grid-no-v-scroll .k-grid-content {
    overflow-y: hidden;
    width: 100%;
}

.grid-no-v-scroll .k-grid-header,
.grid-no-v-scroll .k-grid-footer {
    padding-right: 0;
}

.grid-no-v-scroll .k-grid-wrap,
.grid-no-v-scroll .k-grid-wrap {
    border-right-width: 0;
}

.grid-no-v-scroll .k-pager-sizes .k-dropdownlist {
    width: 6em !important;  /*Page Size Dropdown*/
}

/* START Batch Contents View and Side Panel */
div .k-grid.k-grid-md.k-treelist {
    height: inherit;
}

div .k-treelist .k-grid-content {
    overflow-y: auto;
    overflow-x: hidden;
}
/* END Batch Contents View and Side Panel */

/* Card */
.k-card-header {
    padding: 0.3rem 0.3rem;
    border-width: 0 0 1px;
    border-style: solid;
    outline: 0;
    flex-shrink: 0;
    overflow: hidden;
    position: relative;
    z-index: 1;
    margin-bottom: 0px !important;
}

    .k-card-header .k-card-title, .k-card-header .k-card-subtitle {
        margin-bottom: 0
    }

        .k-card-header .k-card-title + .k-card-subtitle, .k-card-header .k-card-subtitle + .k-card-subtitle {
            margin-top: 0.5rem
        }

.k-card-title {
    margin: 0 0 0.15rem;
}

.k-card-footer {
    padding: 0.1rem 0.1rem;
    border-width: 1px 0 0;
    border-style: solid;
    outline: 0;
    flex-shrink: 0
}

.k-card-body {
    padding: 0px;
    outline: 0;
    flex: 1 1 auto
}

    .k-card-body p {
        margin: 0 0 1rem
    }

    .k-card-body > .k-last, .k-card-body > :last-child {
        margin-bottom: 0
    }

    .k-card-body > .k-card-actions {
        padding: 0
    }

.k-card-avatar, .k-card .k-avatar {
    margin-right: 1rem;
    width: 45px;
    height: 45px;
    flex-basis: 45px
}

.k-tabstrip-top > .k-content, .k-tabstrip-top > .k-tabstrip-content {
    border-bottom-right-radius: .5rem;
    border-bottom-left-radius: .5rem;
}

.k-tabstrip-content, .k-tabstrip > .k-content {
    margin: 0 !important;
    padding: 0;
    box-sizing: border-box;
    border-width: 1px;
    border-style: solid;
    border-color: inherit;
    display: none;
    overflow: auto;
    flex: 1 1 auto;
    position: relative;
}

/* Needed to override Telerik's k-card classes */
.k-messagebox-error {
    border-color: #f5c6cb;
    color: #dc3545;
    background-color: #f8d7da;
}

.validation-message {
    color: #dc3545;
}

.k-table-td > a.editlink {
    cursor: pointer;
    color: blue;
}

/* BEGIN DMV BRANDING COLORS (REFERENCE NYS DMV Logo Sheet.pdf) */

.dmv-pantone-307c-bg {
    background: #006BA6;
}

.dmv-pantone-307c-text {
    color: #006BA6;
}


.invalid-field {
    border: 2px solid red !important;
    border-radius: 2px;
}

.invalid-switch-field {
    box-shadow: 0 0 0 2px red !important;
    border-radius: 9999px;
}

.error-icon {
    cursor: pointer;
}

/* END DMV BRANDING COLORS (REFERENCE NYS DMV Logo Sheet.pdf) */


/* CoplogicInputFile Styling */
.file-input-icon-4-3 {
    height: 3rem;
    width: 3rem;
}

.knockitoff-telerik {
    position: relative;
}

.file {
    display: flex;
    flex-direction: column;
    padding-left: .5rem;
}

.cp-0 {
    width: 0%;
}

.cp-10 {
    width: 10%;
}

.cp-20 {
    width: 20%;
}

.cp-30 {
    width: 30%;
}

.cp-40 {
    width: 40%;
}

.cp-50 {
    width: 50%;
}

.cp-60 {
    width: 60%;
}

.cp-70 {
    width: 70%;
}

.cp-80 {
    width: 80%;
}

.cp-90 {
    width: 90%;
}

.cp-100 {
    width: 100%;
}

.coplogic-title {
    margin: 0.75rem 0.75rem 0 0.75rem;
}

.form-control {
    display: block;
    width: 100%;
    padding: 0.1rem 0.1rem;
    font-size: 0.85rem;
    font-weight: 300;
    line-height: 1.0;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.splitter-left {
    order: 0 !important;
}

.splitter-right {
    order: 1 !important;
}

/* Telerik Grid Styles */
.k-grid th.center-wrap {
    justify-content: center;
    text-align: center;
    white-space: normal;
    vertical-align: middle;
}

    .k-grid th.center-wrap .k-column-title {
        white-space: normal;
    }

.k-grid tbody th, k-grid tbody tr, .k-grid .k-table-th, .k-grid td, .k-grid .k-table-td {
    font-weight: 700 !important;
    border-right-width: 2px;
}

.btn-primary {
    color: #fff;
    background-color: #0d6efd; /* #0d6efd4f; */
    border-color: #0d6efd;
}

.match {
    color: #FF0000 !important;
}

a.document-anchor:hover {
    cursor: pointer !important;
}

/* Loader Styling */
#loading-text {
    font-weight: bold;
    animation: spin-logo 2.5s ease-in-out infinite;
    transform-origin: right;
}

@keyframes spin-logo {
    0% {
        transform: rotatey(0deg);
    }

    100% {
        transform: rotatey(360deg);
    }
}

/* Loader Styling */

/* Telerik Grid Styling */

.critical-row {
    background-color: #ff9393;
    font-style: italic;
    font-weight: bold;
}

/* Telerik Grid Styling */

.pagenumberinput {
    width: 50px;
}

.mh-90 {
    max-height: 90%;
}
.mh-70vh.k-pane {
    height: 100%;
    max-height: 70vh;
    overflow-y: auto;
}

.mh-80vh {
    height: 100%;
    max-height: 80vh;
}
.k-grid td.vertical-aligned-cell {
    vertical-align: top;
}

.k-pdf-viewer .k-page {
    margin: 0px;
}

.k-step-text {
    white-space: normal !important;
}

.cursor-pointer {
    cursor: pointer;
}

.flex-grow-quarter {
    flex: 1 0 24%;
}

.standout-modal {
    background-color: #bbbbbb !important;
    border: 2px solid #000000 !important;
    box-shadow: 16px 16px 16px rgba(0,0,0,0.25) !important;
    border-radius: 8px;
}

.cris-info {
    color: var(--ny-color-dark-gray, #62666a);
}

.unit-pair-0 {
    color: #000000;
    background-color: #D6E4FF;
}

.unit-pair-1 {
    color: #000000;
    background-color: #D1FADF;
}

.unit-pair-2 {
    color: #000000;
    background-color: #E4D7FF;
}

.unit-pair-3 {
    color: #000000;
    background-color: #FFE0B5;
}

.grid-green-highlight td {
    background-color: #D1FADF !important;
}

.grid-red-highlight td {
    background-color: #FAD1D1 !important;
}

li.k-table-row.telerik-blazor
{
    cursor: pointer;
}

.k-dialog-content {
    white-space: pre-wrap; /* allows wrapping in dialog boxes when using \n new line*/
    display: flex !important; /* takes away the indenting of first line*/
}
